Bug 1828275 - Does not work with python-click-7.1.1
Summary: Does not work with python-click-7.1.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-click-man
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-27 13:44 UTC by Jiri Popelka
Modified: 2020-04-29 05:33 UTC (History)
1 user (show)

Fixed In Version: python-click-man-0.4.1-1.fc31 python-click-man-0.4.1-1.fc32 python-click-man-0.4.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 02:56:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiri Popelka 2020-04-27 13:44:14 UTC
python-click-man does not work anymore after python-click-7.1.1 got pushed into F30+ stable.
https://bodhi.fedoraproject.org/updates/?packages=python-click

$ python3 setup.py --command-packages=click_man.commands man_pages
running man_pages
Load entry point packit
Generate man pages for packit
Traceback (most recent call last):
  File "setup.py", line 27, in <module>
    setup(use_scm_version=True)
  File "/usr/lib/python3.7/site-packages/setuptools/__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib64/python3.7/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib64/python3.7/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python3.7/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "/usr/lib/python3.7/site-packages/click_man/commands/man_pages.py", line 67, in run
    write_man_pages(name, cli, version=self.version, target_dir=self.target)
  File "/usr/lib/python3.7/site-packages/click_man/core.py", line 59, in write_man_pages
    man_page = generate_man_page(ctx, version)
  File "/usr/lib/python3.7/site-packages/click_man/core.py", line 36, in generate_man_page
    man_page.options = [x.get_help_record(None) for x in ctx.command.params if isinstance(x, click.Option)]
  File "/usr/lib/python3.7/site-packages/click_man/core.py", line 36, in <listcomp>
    man_page.options = [x.get_help_record(None) for x in ctx.command.params if isinstance(x, click.Option)]
  File "/usr/lib/python3.7/site-packages/click/core.py", line 1887, in get_help_record
    if self.default is not None and (self.show_default or ctx.show_default):
AttributeError: 'NoneType' object has no attribute 'show_default'

Seems to work OK after "pip3 install --user click-man==0.4.1"

Comment 1 Fedora Update System 2020-04-27 14:43:37 UTC
FEDORA-2020-8bae74e2d7 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8bae74e2d7

Comment 2 Fedora Update System 2020-04-27 14:43:39 UTC
FEDORA-2020-74c6a01b5f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-74c6a01b5f

Comment 3 Fedora Update System 2020-04-27 14:43:42 UTC
FEDORA-2020-6d40c83117 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6d40c83117

Comment 4 Fedora Update System 2020-04-28 02:56:15 UTC
FEDORA-2020-74c6a01b5f has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-04-28 03:23:49 UTC
FEDORA-2020-8bae74e2d7 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8bae74e2d7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8bae74e2d7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-28 03:46:03 UTC
FEDORA-2020-6d40c83117 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6d40c83117`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6d40c83117

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-29 02:13:38 UTC
FEDORA-2020-8bae74e2d7 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-04-29 05:33:07 UTC
FEDORA-2020-6d40c83117 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.